gr::radar::qtgui_scatter_plot Class Reference

This block displays a scatter plot of two data sets. The identifiers (symbols) are given with label_x and label_y. The display range is given with axis_x and axis_y. Points that are not in range are simply not displayed (there are no errors or warnings). label gives an additional label to differ multiple scatter plots on the screen by the titles. The update interval is given in milliseconds. More...

`#include <qtgui_scatter_plot.h>`

Inheritance diagram for gr::radar::qtgui_scatter_plot:

## Public Types

typedef std::shared_ptr< qtgui_scatter_plot > | sptr

## Static Public Member Functions

static sptr | make (int interval, std::string label_x, std::string label_y, std::vector< float > axis_x, std::vector< float > axis_y, std::string label="")
| Return a shared_ptr to a new instance of radar::qtgui_scatter_plot.

## Detailed Description

This block displays a scatter plot of two data sets. The identifiers (symbols) are given with label_x and label_y. The display range is given with axis_x and axis_y. Points that are not in range are simply not displayed (there are no errors or warnings). label gives an additional label to differ multiple scatter plots on the screen by the titles. The update interval is given in milliseconds.

Parameters

  interval | Update interval in milliseconds
  label_x | Identifier (symbol) of first data set
  label_y | Identifier (symbol) of second data set
  axis_x | Display range on x axis
  axis_y | Display range on y axis
  label | Optional label for the title

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<qtgui_scatter_plot> gr::radar::qtgui_scatter_plot::sptr

## Member Function Documentation

## make()

sptr gr::radar::qtgui_scatter_plot::make | ( | int | interval,
|  | std::string | label_x,
|  | std::string | label_y,
|  | std::vector< float > | axis_x,
|  | std::vector< float > | axis_y,
|  | std::string | label = "" )

static

Return a shared_ptr to a new instance of radar::qtgui_scatter_plot.

To avoid accidental use of raw pointers, radar::qtgui_scatter_plot's constructor is in a private implementation class. radar::qtgui_scatter_plot::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- qtgui_scatter_plot.h